---
title: Recognition error
slug: recognition-error
docTags: 
createdAt: 2022-04-12T13:29:40.000Z
---

Create a recognition error message. The method supports the transmission of error-proof images. Images must be pre-loaded into the system via [/uploads](https://docs.eyrene.com/uploads#ou-post-uploads) or [/uploads\_by\_url](https://docs.eyrene.com/uploads#or-get-uploadsid)

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/recognition_error/",
  "name": "Request Example",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "sku_gid",
        "type": "string",
        "description": "SKU ID with the error."
      },
      {
        "kind": "required",
        "name": "scene",
        "type": "string",
        "description": "Uuid, the ID of the scene where the SKU with the error is located."
      },
      {
        "kind": "optional",
        "name": "message",
        "type": "string",
        "description": "Description of the error."
      },
      {
        "kind": "optional",
        "name": "images",
        "type": "string",
        "description": "A list of photo IDs to process. Images are used to confirm recognition errors.\nPhotos must be pre-uploaded via /uploads or /uploads_by_url."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "LIQodOSqSC6QisxhxxYKF",
        "code": "{\n   \"recognition_error_id\":11234\n}",
        "language": "201",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "LIQodOSqSC6QisxhxxYKF"
  },
  "examples": {
    "languages": [
      {
        "id": "spncHmu194i3LvpShZLEW",
        "code": "{\n   \"images\":[\n      156673,\n      156674,\n      156675,\n      156676\n   ],\n   \"sku_gid\":13,\n   \"scene\":\"4d8b66992cd841f6922723afe9bd8cf8\",\n   \"message\":\"Borjomi was not recognized.\"\n}",
        "language": "json",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "spncHmu194i3LvpShZLEW"
  },
  "description": "POST /recognition_error",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "9ykKe8cN9iRQpDEFK2Ky4"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/recognition/recognition_error#response-definitions)

***

`recognition_error_id` *string (unique ID)*

Request ID.

***

